javax.xml.rpc

## Interface Stub

-     public interface Stub

  The interface `javax.xml.rpc.Stub` is the common base interface for the stub classes. All generated stub classes are required to implement the `javax.xml.rpc.Stub` interface. An instance of a stub class represents a client side proxy or stub instance for the target service endpoint.

  The `javax.xml.rpc.Stub` interface provides an extensible property mechanism for the dynamic configuration of a stub instance.

  Version:
    0.1
  Author:
    Rahul Sharma
  See Also:
    `Service`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENDPOINT_ADDRESS_PROPERTY` Standard property: Target service endpoint address.
    `static String` | `PASSWORD_PROPERTY` Standard property: Password for authentication.
    `static String` | `SESSION_MAINTAIN_PROPERTY` Standard property: This boolean property is used by a service client to indicate whether or not it wants to participate in a session with a service endpoint.
    `static String` | `USERNAME_PROPERTY` Standard property: User name for authentication.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `_getProperty(String name)` Gets the value of a specific configuration property.
    `Iterator` | `_getPropertyNames()` Returns an `Iterato` view of the names of the properties that can be configured on this stub instance.
    `void` | `_setProperty(String name, Object value)` Sets the name and value of a configuration property for this Stub instance.

- - ### Field Detail

    - #### USERNAME_PROPERTY

          static final String USERNAME_PROPERTY

      Standard property: User name for authentication.

      Type: java.lang.String

      See Also:
        Constant Field Values

    - #### PASSWORD_PROPERTY

          static final String PASSWORD_PROPERTY

      Standard property: Password for authentication.

      Type: java.lang.String

      See Also:
        Constant Field Values

    - #### ENDPOINT_ADDRESS_PROPERTY

          static final String ENDPOINT_ADDRESS_PROPERTY

      Standard property: Target service endpoint address. The URI scheme for the endpoint address specification must correspond to the protocol/transport binding for this stub class.

      Type: java.lang.String

      See Also:
        Constant Field Values

    - #### SESSION_MAINTAIN_PROPERTY

          static final String SESSION_MAINTAIN_PROPERTY

      Standard property: This boolean property is used by a service client to indicate whether or not it wants to participate in a session with a service endpoint. If this property is set to true, the service client indicates that it wants the session to be maintained. If set to false, the session is not maintained. The default value for this property is false.

      Type: java.lang.Boolean

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### _setProperty

          void _setProperty(String name,
                          Object value)

      Sets the name and value of a configuration property for this Stub instance. If the Stub instances contains a value of the same property, the old value is replaced.

      Note that the `_setProperty` method may not perform validity check on a configured property value. An example is the standard property for the target service endpoint address that is not checked for validity in the `_setProperty` method. In this case, stub configuration errors are detected at the remote method invocation.

      Parameters:
        `name` - Name of the configuration property
        `value` - Value of the property
      Throws:
        `JAXRPCException` -
        - If an optional standard property name is specified, however this Stub implementation class does not support the configuration of this property.
        - If an invalid or unsupported property name is specified or if a value of mismatched property type is passed.
        - If there is any error in the configuration of a valid property.

    - #### _getProperty

          Object _getProperty(String name)

      Gets the value of a specific configuration property.
      Parameters:
        `name` - Name of the property whose value is to be retrieved
      Returns:
        Value of the configuration property
      Throws:
        `JAXRPCException` - if an invalid or unsupported property name is passed.

    - #### _getPropertyNames

          Iterator _getPropertyNames()

      Returns an `Iterato` view of the names of the properties that can be configured on this stub instance.
      Returns:
        Iterator for the property names of the type `java.lang.String`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.